Skip to main content
GET
/
payment-methods
/
{payment_method_id}
Retrieve Payment Method By ID
curl --request GET \
  --url https://api-sandbox.y.uno/v1/payment-methods/{payment_method_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{ "id": "0395199e-a99c-4a85-acac-6c916f43fa74", "idempotency_key": null, "account_id": "493e9374-510a-4201-9e09-de669d75f256", "name": "Visa Credit Card", "description": "Visa Credit Card", "type": "VISA", "category": "CARD", "country": "US", "status": "READY_TO_ENROLL", "created_at": "2024-06-06T13:14:18.799434Z", "updated_at": "2024-06-06T13:14:18.799437Z", "enrollment": { "session": "6641e30d-ca7a-440f-b97c-24231eac6dab", "sdk_required_action": false }, "provider": { "id": "YUNO", "type": "YUNO", "provider_status": null }, "verify": { "vault_on_success": false, "payment": null }, "preferred": null }
Retrieve information about a payment method based on its payment_method_id, which needs to be provided in the request path.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

payment_method_id
string
required

The payment method id obtained while enrolling a new payment method (UUID, 36 chars).

Response

201

id
string
Example:

"0395199e-a99c-4a85-acac-6c916f43fa74"

idempotency_key
any
account_id
string
Example:

"493e9374-510a-4201-9e09-de669d75f256"

name
string
Example:

"Visa Credit Card"

description
string
Example:

"Visa Credit Card"

type
string
Example:

"VISA"

category
string
Example:

"CARD"

country
string
Example:

"US"

status
string
Example:

"READY_TO_ENROLL"

created_at
string
Example:

"2024-06-06T13:14:18.799434Z"

updated_at
string
Example:

"2024-06-06T13:14:18.799437Z"

enrollment
object
provider
object
verify
object
preferred
any